Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159306 - pnmindex crashes out with error message from pnmcat
Summary: pnmindex crashes out with error message from pnmcat
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 16:05 UTC by Bevis King
Modified: 2013-07-02 23:07 UTC (History)
1 user (show)

Fixed In Version: 10.28-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-25 12:53:50 UTC


Attachments (Terms of Use)

Description Bevis King 2005-06-01 16:05:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The pnmindex script (part of netpbm) appears to be breaking when fed on a number of normal ppm files.  Running it with default options, causes a message about quiet not being understood but the more serious is that even with options that bypass that script error, the underlying components don't work either.

Version-Release number of selected component (if applicable):
netpbm-10.25-2

How reproducible:
Always

Steps to Reproduce:
1. Convert some jpg files to PPM using netpbm (as in):

% jpegtopnm ~/BCR-Alcos.jpg > image1.ppm
jpegtopnm: WRITING PPM FILE
% jpegtopnm ~/CIMG0261.JPG > image2.ppm
jpegtopnm: WRITING PPM FILE

2. Run pnmindex with some suitable options:

pnmindex -size 250 -across 3 -noquant image*.ppm > index.ppm

The following errors are produced:
pnmcat: Error reading magic number from Netpbm image stream.  Most often, this means your input file is empty.
pnmcat: Error reading magic number from Netpbm image stream.  Most often, this means your input file is empty.
pnmcat: Error reading magic number from Netpbm image stream.  Most often, this means your input file is empty.
pnmtojpeg: Error reading magic number from Netpbm image stream.  Most often, this means your input file is empty.

The ppm images appear intact:
% pnmfile *.ppm
image1.ppm:     PPM raw, 1254 by 535  maxval 255
image2.ppm:     PPM raw, 980 by 700  maxval 255


  

Actual Results:  No output, just error messages.


Expected Results:  Produced a ppm file containing an index of thumbnails of the supplied larger images.

Additional info:

This bug is identical on both a P4/i686 box running FC3 and on a AMD 64/x86_64 box running FC3.

Comment 1 Jindrich Novy 2005-07-25 12:53:50 UTC
This is now fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.